heap.hpp File Reference
Private

heap data structure (relying on FIFO) More...

`#include "../my_config.h"`
`#include <string>`
`#include "integers.hpp"`
`#include <memory>`
`#include <deque>`

Go to the source code of this file.

## Classes

class | libdar::heap< T >
| the class heap is nothing related to the common heap datastructure this is just a "heap" in the sense of a pool of preallocated objects More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

heap data structure (relying on FIFO)

Definition in file heap.hpp.